AnomalyDetectorClientOperationsMixin Class
- Inheritance
-
builtins.objectAnomalyDetectorClientOperationsMixin
Constructor
AnomalyDetectorClientOperationsMixin()
Methods
| delete_multivariate_model |
Delete Multivariate Model. Delete an existing multivariate model according to the modelId. |
| detect_anomaly |
Detect Multivariate Anomaly. Submit detection multivariate anomaly task with the trained model of modelId, the input schema should be the same with the training request. Thus request will be complete asynchronously and will return a resultId for querying the detection result.The request should be a source link to indicate an externally accessible Azure storage Uri (preferably a Shared Access Signature Uri). All time-series used in generate the model must be zipped into one single file. Each time-series will be as follows: the first column is timestamp and the second column is value. |
| detect_change_point |
Detect change point for the entire series. Evaluate change point score of every series point. |
| detect_entire_series |
Detect anomalies for the entire series in batch. This operation generates a model with an entire series, each point is detected with the same model. With this method, points before and after a certain point are used to determine whether it is an anomaly. The entire detection can give user an overall status of the time series. |
| detect_last_point |
Detect anomaly status of the latest point in time series. This operation generates a model using points before the latest one. With this method, only historical points are used to determine whether the target point is an anomaly. The latest point detecting operation matches the scenario of real-time monitoring of business metrics. |
| export_model |
Export Multivariate Anomaly Detection Model as Zip file. Export multivariate anomaly detection model based on modelId. |
| get_detection_result |
Get Multivariate Anomaly Detection Result. Get multivariate anomaly detection result based on resultId returned by the DetectAnomalyAsync api. |
| get_multivariate_model |
Get Multivariate Model. Get detailed information of multivariate model, including the training status and variables used in the model. |
| last_detect_anomaly |
Detect anomalies in the last a few points of the request body. Synchronized API for anomaly detection. |
| list_multivariate_model |
List Multivariate Models. List models of a subscription. |
| train_multivariate_model |
Train a Multivariate Anomaly Detection Model. Create and train a multivariate anomaly detection model. The request must include a source parameter to indicate an externally accessible Azure storage Uri (preferably a Shared Access Signature Uri). All time-series used in generate the model must be zipped into one single file. Each time-series will be in a single CSV file in which the first column is timestamp and the second column is value. |
delete_multivariate_model
Delete Multivariate Model.
Delete an existing multivariate model according to the modelId.
async delete_multivariate_model(model_id: str, **kwargs: Any) -> None
Parameters
- api_version
- str
Anomaly Detector API version (for example, v1.0). The default value is "v1.1-preview.1". Note that overriding this default value may result in unsupported behavior.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
None, or the result of cls(response)
Return type
Exceptions
detect_anomaly
Detect Multivariate Anomaly.
Submit detection multivariate anomaly task with the trained model of modelId, the input schema should be the same with the training request. Thus request will be complete asynchronously and will return a resultId for querying the detection result.The request should be a source link to indicate an externally accessible Azure storage Uri (preferably a Shared Access Signature Uri). All time-series used in generate the model must be zipped into one single file. Each time-series will be as follows: the first column is timestamp and the second column is value.
async detect_anomaly(model_id: str, body: azure.ai.anomalydetector.models._models_py3.DetectionRequest, **kwargs: Any) -> None
Parameters
- api_version
- str
Anomaly Detector API version (for example, v1.0). The default value is "v1.1-preview.1". Note that overriding this default value may result in unsupported behavior.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
None, or the result of cls(response)
Return type
Exceptions
detect_change_point
Detect change point for the entire series.
Evaluate change point score of every series point.
async detect_change_point(body: azure.ai.anomalydetector.models._models_py3.ChangePointDetectRequest, **kwargs: Any) -> azure.ai.anomalydetector.models._models_py3.ChangePointDetectResponse
Parameters
Time series points and granularity is needed. Advanced model parameters can also be set in the request if needed.
- api_version
- str
Anomaly Detector API version (for example, v1.0). The default value is "v1.1-preview.1". Note that overriding this default value may result in unsupported behavior.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
ChangePointDetectResponse, or the result of cls(response)
Return type
Exceptions
detect_entire_series
Detect anomalies for the entire series in batch.
This operation generates a model with an entire series, each point is detected with the same model. With this method, points before and after a certain point are used to determine whether it is an anomaly. The entire detection can give user an overall status of the time series.
async detect_entire_series(body: azure.ai.anomalydetector.models._models_py3.DetectRequest, **kwargs: Any) -> azure.ai.anomalydetector.models._models_py3.EntireDetectResponse
Parameters
- body
- DetectRequest
Time series points and period if needed. Advanced model parameters can also be set in the request.
- api_version
- str
Anomaly Detector API version (for example, v1.0). The default value is "v1.1-preview.1". Note that overriding this default value may result in unsupported behavior.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
EntireDetectResponse, or the result of cls(response)
Return type
Exceptions
detect_last_point
Detect anomaly status of the latest point in time series.
This operation generates a model using points before the latest one. With this method, only historical points are used to determine whether the target point is an anomaly. The latest point detecting operation matches the scenario of real-time monitoring of business metrics.
async detect_last_point(body: azure.ai.anomalydetector.models._models_py3.DetectRequest, **kwargs: Any) -> azure.ai.anomalydetector.models._models_py3.LastDetectResponse
Parameters
- body
- DetectRequest
Time series points and period if needed. Advanced model parameters can also be set in the request.
- api_version
- str
Anomaly Detector API version (for example, v1.0). The default value is "v1.1-preview.1". Note that overriding this default value may result in unsupported behavior.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
LastDetectResponse, or the result of cls(response)
Return type
Exceptions
export_model
Export Multivariate Anomaly Detection Model as Zip file.
Export multivariate anomaly detection model based on modelId.
async export_model(model_id: str, **kwargs: Any) -> IO
Parameters
- api_version
- str
Anomaly Detector API version (for example, v1.0). The default value is "v1.1-preview.1". Note that overriding this default value may result in unsupported behavior.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
IO, or the result of cls(response)
Return type
Exceptions
get_detection_result
Get Multivariate Anomaly Detection Result.
Get multivariate anomaly detection result based on resultId returned by the DetectAnomalyAsync api.
async get_detection_result(result_id: str, **kwargs: Any) -> azure.ai.anomalydetector.models._models_py3.DetectionResult
Parameters
- api_version
- str
Anomaly Detector API version (for example, v1.0). The default value is "v1.1-preview.1". Note that overriding this default value may result in unsupported behavior.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
DetectionResult, or the result of cls(response)
Return type
Exceptions
get_multivariate_model
Get Multivariate Model.
Get detailed information of multivariate model, including the training status and variables used in the model.
async get_multivariate_model(model_id: str, **kwargs: Any) -> azure.ai.anomalydetector.models._models_py3.Model
Parameters
- api_version
- str
Anomaly Detector API version (for example, v1.0). The default value is "v1.1-preview.1". Note that overriding this default value may result in unsupported behavior.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
Model, or the result of cls(response)
Return type
Exceptions
last_detect_anomaly
Detect anomalies in the last a few points of the request body.
Synchronized API for anomaly detection.
async last_detect_anomaly(model_id: str, body: azure.ai.anomalydetector.models._models_py3.LastDetectionRequest, **kwargs: Any) -> azure.ai.anomalydetector.models._models_py3.LastDetectionResult
Parameters
- api_version
- str
Anomaly Detector API version (for example, v1.0). The default value is "v1.1-preview.1". Note that overriding this default value may result in unsupported behavior.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
LastDetectionResult, or the result of cls(response)
Return type
Exceptions
list_multivariate_model
List Multivariate Models.
List models of a subscription.
list_multivariate_model(skip: Optional[int] = 0, top: Optional[int] = 5, **kwargs: Any) -> AsyncIterable[azure.ai.anomalydetector.models._models_py3.ModelList]
Parameters
- api_version
- str
Anomaly Detector API version (for example, v1.0). The default value is "v1.1-preview.1". Note that overriding this default value may result in unsupported behavior.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either ModelList or the result of cls(response)
Return type
Exceptions
train_multivariate_model
Train a Multivariate Anomaly Detection Model.
Create and train a multivariate anomaly detection model. The request must include a source parameter to indicate an externally accessible Azure storage Uri (preferably a Shared Access Signature Uri). All time-series used in generate the model must be zipped into one single file. Each time-series will be in a single CSV file in which the first column is timestamp and the second column is value.
async train_multivariate_model(body: azure.ai.anomalydetector.models._models_py3.ModelInfo, **kwargs: Any) -> None
Parameters
- api_version
- str
Anomaly Detector API version (for example, v1.0). The default value is "v1.1-preview.1". Note that overriding this default value may result in unsupported behavior.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
None, or the result of cls(response)
Return type
Exceptions
Feedback
Submit and view feedback for